Subject: Re: [X2Go-Dev] Bug#1344: Bug#1344: Versioning in the launchpad ppa

From: Jens Reyer <[email-masked]>
Date: Mon, 19 Nov 2018 16:48:37 +0100

Am Mo., 19. Nov. 2018 um 16:20 Uhr schrieb Ulrich Sibiller
<[email-masked]>:

> On Mon, Nov 19, 2018 at 4:05 PM Mike Gabriel
> <[email-masked]> wrote:
> >
> > Control: close -1
> > Control: tags -1 not-a-bug
> > > $ cat /etc/apt/preferences.d/x2go-ppa
> > > Package: *
> > > Pin: release o=LP-PPA-x2go
> > > Pin-Priority: 1010
> >
> > This is exactly the way to do it.
> >
> > Closing this bug as a not-a-bug report.
>
> I don't really get it. What is the sense in adding a ppa to your
> system when you need additional steps to get the packages from there!?
> This is counter-intuitive! If a user adds the ppa he/she/it states
> his/her/its will to use packages from there, so why ignoring that user
> wish?

I basically agree with Uli, except that I'd only prefer newer versions
from the PPA over those from the Ubuntu archive (which should be the
case for nightly).
Or with other words: I assume you update the upstream source in the
orig.tar for the nightlies, then you should also change the upstream
version.